For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://modelgates.ai/docs/_mcp/server.

Poll video generation status

GET https://modelgates.ai/api/v1/videos/

Returns job status and content URLs when completed

Reference: https://modelgates.ai/docs/api/api-reference/video-generation/get-videos

OpenAPI Specification

yaml
openapi: 3.1.0info:  title: ModelGates API  version: 1.0.0paths:  /videos/:    get:      operationId: get-videos      summary: Poll video generation status      description: Returns job status and content URLs when completed      tags:        - subpackage_videoGeneration      parameters:        - name: jobId          in: path          required: true          schema:            type: string        - name: Authorization          in: header          description: API key as bearer token in Authorization header          required: true          schema:            type: string      responses:        '200':          description: Video generation status          content:            application/json:              schema:                $ref: '#/components/schemas/VideoGenerationResponse'        '401':          description: Unauthorized - Authentication required or invalid credentials          content:            application/json:              schema:                $ref: '#/components/schemas/UnauthorizedResponse'        '404':          description: Not Found - Resource does not exist          content:            application/json:              schema:                $ref: '#/components/schemas/NotFoundResponse'        '500':          description: Internal Server Error - Unexpected server error          content:            application/json:              schema:                $ref: '#/components/schemas/InternalServerResponse'servers:  - url: https://modelgates.ai/api/v1components:  schemas:    VideoGenerationResponseStatus:      type: string      enum:        - pending        - in_progress        - completed        - failed        - cancelled        - expired      title: VideoGenerationResponseStatus    VideoGenerationUsage:      type: object      properties:        cost:          type:            - number            - 'null'          format: double          description: The cost of the video generation in USD.        is_byok:          type: boolean          description: >-            Whether the request was made using a Bring Your Own Key            configuration.      description: >-        Usage and cost information for the video generation. Available once the        job has completed.      title: VideoGenerationUsage    VideoGenerationResponse:      type: object      properties:        error:          type: string        generation_id:          type: string          description: >-            The generation ID associated with this video generation job.            Available once the job has been processed.        id:          type: string        polling_url:          type: string        status:          $ref: '#/components/schemas/VideoGenerationResponseStatus'        unsigned_urls:          type: array          items:            type: string        usage:          $ref: '#/components/schemas/VideoGenerationUsage'      required:        - id        - polling_url        - status      title: VideoGenerationResponse    UnauthorizedResponseErrorData:      type: object      properties:        code:          type: integer        message:          type: string        metadata:          type:            - object            - 'null'          additionalProperties:            description: Any type      required:        - code        - message      description: Error data for UnauthorizedResponse      title: UnauthorizedResponseErrorData    UnauthorizedResponse:      type: object      properties:        error:          $ref: '#/components/schemas/UnauthorizedResponseErrorData'        modelgates_metadata:          type:            - object            - 'null'          additionalProperties:            description: Any type        user_id:          type:            - string            - 'null'      required:        - error      description: Unauthorized - Authentication required or invalid credentials      title: UnauthorizedResponse    NotFoundResponseErrorData:      type: object      properties:        code:          type: integer        message:          type: string        metadata:          type:            - object            - 'null'          additionalProperties:            description: Any type      required:        - code        - message      description: Error data for NotFoundResponse      title: NotFoundResponseErrorData    NotFoundResponse:      type: object      properties:        error:          $ref: '#/components/schemas/NotFoundResponseErrorData'        modelgates_metadata:          type:            - object            - 'null'          additionalProperties:            description: Any type        user_id:          type:            - string            - 'null'      required:        - error      description: Not Found - Resource does not exist      title: NotFoundResponse    InternalServerResponseErrorData:      type: object      properties:        code:          type: integer        message:          type: string        metadata:          type:            - object            - 'null'          additionalProperties:            description: Any type      required:        - code        - message      description: Error data for InternalServerResponse      title: InternalServerResponseErrorData    InternalServerResponse:      type: object      properties:        error:          $ref: '#/components/schemas/InternalServerResponseErrorData'        modelgates_metadata:          type:            - object            - 'null'          additionalProperties:            description: Any type        user_id:          type:            - string            - 'null'      required:        - error      description: Internal Server Error - Unexpected server error      title: InternalServerResponse  securitySchemes:    apiKey:      type: http      scheme: bearer      description: API key as bearer token in Authorization header

SDK Code Examples

python
import requests url = "https://modelgates.ai/api/v1/videos/job-abc123" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.json())